Retrospect Compatibility with Mac OS X 10.6 "Snow Leopard"

Legacy


Snow Leopard is supported with Retrospect 8.1.622 or later for Macintosh and 7.7 or later for Windows.

Supported Configurations

The following Retrospect configurations are supported with Snow Leopard. A list of known issues follows.

  • Retrospect 8.1 for Mac

  • Retrospect 8.1 for Mac with Retrospect Client 6.3 for Mac

  • Retrospect 7.7 for Windows with Retrospect Client 6.3 for Mac

Known Issues with versions prior to 8.1.622 or 7.6 for Windows

Most of the issues that users can expect to encounter when running the above Retrospect configurations on Snow Leopard are related to three specific changes present in Apple’s latest OS:

  1. Snow Leopard stores some files, including some applications and all files in the /System/ directory, in a compressed format.

  2. By default, a Snow Leopard installation does not include the Rosetta emulation environment to run older, PowerPC-native applications.

  3. Snow Leopard uses a different method for determining file sizes.

Keeping the above changes in mind when running a supported Retrospect configuration, the following known issues are expected.

  • Retrospect can only restore files in their uncompressed format. This means that a complete OS restore will require an additional 4-5 GB of available storage space on the destination. When /System/ files are restored uncompressed, the Mac OS X may complain about certain files, such as fonts and kernel extensions, not being installed properly.

  • A UI bug prevents some script options from being displayed. Running the Retrospect 8 console on a 10.5 Mac to connect to the Retrospect engine running on a 10.6 Mac mitigates this issue.

  • Restoring a Snow Leopard boot volume results in the creation of extraneous dev folders at the root level of the boot volume. These may be deleted following the restore.

  • Retrospect will report file sizes and disk usage amounts differently from the Finder. This difference is purely cosmetic, and won’t affect backup or restore operations.

  • The 6.2 and earlier Retrospect Client software installer uses an older installer application that requires the Rosetta PowerPC emulation environment to be installed. The v6.3 Retrospect Client runs as a completely Intel-native app.

Unsupported Configurations

The following Retrospect configurations are unsupported with Snow Leopard, and they will remain unsupported in the future.

  • Retrospect 6.1 and earlier for Mac

  • Retrospect 7.5 and earlier for Windows


Last Update: 14 février 2012